[**@rxap/form-system v19.0.4-dev.0**](../README.md)

***

[@rxap/form-system](../globals.md) / AutocompleteOptionsFromMethodDirective

# Class: AutocompleteOptionsFromMethodDirective\<Value, Parameters\>

Defined in: [packages/angular/form-system/src/lib/directives/autocomplete-options-from-method.directive.ts:96](https://gitlab.com/rxap/packages/-/blob/e4552670b179901abc7ce57cc3ff490ac705b867/packages/angular/form-system/src/lib/directives/autocomplete-options-from-method.directive.ts#L96)

## Extends

- [`ExtractResolveMethodMixin`](ExtractResolveMethodMixin.md).[`ExtractIsValueFunctionMixin`](ExtractIsValueFunctionMixin.md).[`ExtractToDisplayFunctionMixin`](ExtractToDisplayFunctionMixin.md).`AfterViewInit`.`OnDestroy`.[`OptionsFromMethodDirective`](OptionsFromMethodDirective.md)\<`Value`, `Parameters`\>

## Type Parameters

• **Value** = `any`

• **Parameters** *extends* [`AutocompleteOptionsFromMethodDirectiveParameters`](../interfaces/AutocompleteOptionsFromMethodDirectiveParameters.md)\<`Value`\> = [`AutocompleteOptionsFromMethodDirectiveParameters`](../interfaces/AutocompleteOptionsFromMethodDirectiveParameters.md)\<`Value`\>

## Implements

- `AfterViewInit`
- `OnDestroy`

## Constructors

### new AutocompleteOptionsFromMethodDirective()

> **new AutocompleteOptionsFromMethodDirective**\<`Value`, `Parameters`\>(): [`AutocompleteOptionsFromMethodDirective`](AutocompleteOptionsFromMethodDirective.md)\<`Value`, `Parameters`\>

#### Returns

[`AutocompleteOptionsFromMethodDirective`](AutocompleteOptionsFromMethodDirective.md)\<`Value`, `Parameters`\>

#### Inherited from

[`OptionsFromMethodDirective`](OptionsFromMethodDirective.md).[`constructor`](OptionsFromMethodDirective.md#constructors)

## Properties

### cdr

> `protected` `readonly` **cdr**: `ChangeDetectorRef`

Defined in: [packages/angular/form-system/src/lib/directives/options-from-method.directive.ts:73](https://gitlab.com/rxap/packages/-/blob/e4552670b179901abc7ce57cc3ff490ac705b867/packages/angular/form-system/src/lib/directives/options-from-method.directive.ts#L73)

#### Inherited from

[`OptionsFromMethodDirective`](OptionsFromMethodDirective.md).[`cdr`](OptionsFromMethodDirective.md#cdr)

***

### control?

> `protected` `optional` **control**: `RxapFormControl`\<`any`, `any`, `any`\>

Defined in: [packages/angular/form-system/src/lib/mixins/extract-control.mixin.ts:14](https://gitlab.com/rxap/packages/-/blob/e4552670b179901abc7ce57cc3ff490ac705b867/packages/angular/form-system/src/lib/mixins/extract-control.mixin.ts#L14)

#### Inherited from

[`OptionsFromMethodDirective`](OptionsFromMethodDirective.md).[`control`](OptionsFromMethodDirective.md#control)

***

### injector

> `protected` **injector**: `Injector`

Defined in: [packages/angular/form-system/src/lib/directives/autocomplete-options-from-method.directive.ts:147](https://gitlab.com/rxap/packages/-/blob/e4552670b179901abc7ce57cc3ff490ac705b867/packages/angular/form-system/src/lib/directives/autocomplete-options-from-method.directive.ts#L147)

#### Inherited from

[`OptionsFromMethodDirective`](OptionsFromMethodDirective.md).[`injector`](OptionsFromMethodDirective.md#injector)

***

### isValue()?

> `optional` **isValue**: (`value`) => `boolean`

Defined in: [packages/angular/form-system/src/lib/directives/autocomplete-options-from-method.directive.ts:140](https://gitlab.com/rxap/packages/-/blob/e4552670b179901abc7ce57cc3ff490ac705b867/packages/angular/form-system/src/lib/directives/autocomplete-options-from-method.directive.ts#L140)

#### Parameters

##### value

`any`

#### Returns

`boolean`

***

### matAutocomplete?

> `optional` **matAutocomplete**: `MatAutocomplete`

Defined in: [packages/angular/form-system/src/lib/directives/autocomplete-options-from-method.directive.ts:131](https://gitlab.com/rxap/packages/-/blob/e4552670b179901abc7ce57cc3ff490ac705b867/packages/angular/form-system/src/lib/directives/autocomplete-options-from-method.directive.ts#L131)

***

### matFormField

> `protected` **matFormField**: `null` \| `MatFormField` = `null`

Defined in: [packages/angular/form-system/src/lib/directives/autocomplete-options-from-method.directive.ts:146](https://gitlab.com/rxap/packages/-/blob/e4552670b179901abc7ce57cc3ff490ac705b867/packages/angular/form-system/src/lib/directives/autocomplete-options-from-method.directive.ts#L146)

#### Inherited from

[`OptionsFromMethodDirective`](OptionsFromMethodDirective.md).[`matFormField`](OptionsFromMethodDirective.md#matformfield)

***

### method

> **method**: `Method`\<`ControlOptions`, `Parameters`\>

Defined in: [packages/angular/form-system/src/lib/directives/autocomplete-options-from-method.directive.ts:134](https://gitlab.com/rxap/packages/-/blob/e4552670b179901abc7ce57cc3ff490ac705b867/packages/angular/form-system/src/lib/directives/autocomplete-options-from-method.directive.ts#L134)

#### Inherited from

[`OptionsFromMethodDirective`](OptionsFromMethodDirective.md).[`method`](OptionsFromMethodDirective.md#method)

***

### ngControl

> `protected` **ngControl**: `null` \| `NgControl` = `null`

Defined in: [packages/angular/form-system/src/lib/directives/autocomplete-options-from-method.directive.ts:145](https://gitlab.com/rxap/packages/-/blob/e4552670b179901abc7ce57cc3ff490ac705b867/packages/angular/form-system/src/lib/directives/autocomplete-options-from-method.directive.ts#L145)

#### Inherited from

[`OptionsFromMethodDirective`](OptionsFromMethodDirective.md).[`ngControl`](OptionsFromMethodDirective.md#ngcontrol)

***

### options

> **options**: `null` \| `ControlOptions` = `null`

Defined in: [packages/angular/form-system/src/lib/directives/options-from-method.directive.ts:64](https://gitlab.com/rxap/packages/-/blob/e4552670b179901abc7ce57cc3ff490ac705b867/packages/angular/form-system/src/lib/directives/options-from-method.directive.ts#L64)

#### Inherited from

[`OptionsFromMethodDirective`](OptionsFromMethodDirective.md).[`options`](OptionsFromMethodDirective.md#options)

***

### parameters?

> `optional` **parameters**: `Parameters`

Defined in: [packages/angular/form-system/src/lib/directives/autocomplete-options-from-method.directive.ts:127](https://gitlab.com/rxap/packages/-/blob/e4552670b179901abc7ce57cc3ff490ac705b867/packages/angular/form-system/src/lib/directives/autocomplete-options-from-method.directive.ts#L127)

#### Inherited from

[`OptionsFromMethodDirective`](OptionsFromMethodDirective.md).[`parameters`](OptionsFromMethodDirective.md#parameters)

***

### resetOnChange?

> `optional` **resetOnChange**: `Value`

Defined in: [packages/angular/form-system/src/lib/directives/autocomplete-options-from-method.directive.ts:129](https://gitlab.com/rxap/packages/-/blob/e4552670b179901abc7ce57cc3ff490ac705b867/packages/angular/form-system/src/lib/directives/autocomplete-options-from-method.directive.ts#L129)

#### Inherited from

[`OptionsFromMethodDirective`](OptionsFromMethodDirective.md).[`resetOnChange`](OptionsFromMethodDirective.md#resetonchange)

***

### resolveMethod?

> `optional` **resolveMethod**: `MethodWithParameters`\<`ControlOption`\<`any`, `string`\>, `object` & `Parameters`\>

Defined in: [packages/angular/form-system/src/lib/directives/autocomplete-options-from-method.directive.ts:137](https://gitlab.com/rxap/packages/-/blob/e4552670b179901abc7ce57cc3ff490ac705b867/packages/angular/form-system/src/lib/directives/autocomplete-options-from-method.directive.ts#L137)

***

### settings

> `protected` **settings**: [`AutocompleteOptionsFromMethodDirectiveSettings`](../interfaces/AutocompleteOptionsFromMethodDirectiveSettings.md) = `{}`

Defined in: [packages/angular/form-system/src/lib/directives/autocomplete-options-from-method.directive.ts:148](https://gitlab.com/rxap/packages/-/blob/e4552670b179901abc7ce57cc3ff490ac705b867/packages/angular/form-system/src/lib/directives/autocomplete-options-from-method.directive.ts#L148)

#### Inherited from

[`OptionsFromMethodDirective`](OptionsFromMethodDirective.md).[`settings`](OptionsFromMethodDirective.md#settings)

***

### toDisplay()?

> `optional` **toDisplay**: (`value`) => `string`

Defined in: [packages/angular/form-system/src/lib/directives/autocomplete-options-from-method.directive.ts:143](https://gitlab.com/rxap/packages/-/blob/e4552670b179901abc7ce57cc3ff490ac705b867/packages/angular/form-system/src/lib/directives/autocomplete-options-from-method.directive.ts#L143)

#### Parameters

##### value

`any`

#### Returns

`string`

***

### viewContainerRef

> `protected` `readonly` **viewContainerRef**: `ViewContainerRef`

Defined in: [packages/angular/form-system/src/lib/directives/options-from-method.directive.ts:71](https://gitlab.com/rxap/packages/-/blob/e4552670b179901abc7ce57cc3ff490ac705b867/packages/angular/form-system/src/lib/directives/options-from-method.directive.ts#L71)

#### Inherited from

[`OptionsFromMethodDirective`](OptionsFromMethodDirective.md).[`viewContainerRef`](OptionsFromMethodDirective.md#viewcontainerref)

## Methods

### extractControl()

> `protected` **extractControl**(`ngControl`): `RxapFormControl`

Defined in: [packages/angular/form-system/src/lib/mixins/extract-control.mixin.ts:16](https://gitlab.com/rxap/packages/-/blob/e4552670b179901abc7ce57cc3ff490ac705b867/packages/angular/form-system/src/lib/mixins/extract-control.mixin.ts#L16)

#### Parameters

##### ngControl

`null` | `NgControl` | `AbstractControlDirective`

#### Returns

`RxapFormControl`

#### Inherited from

[`OptionsFromMethodDirective`](OptionsFromMethodDirective.md).[`extractControl`](OptionsFromMethodDirective.md#extractcontrol)

***

### extractFormDefinition()

> `protected` **extractFormDefinition**(`control`): `FormDefinition`

Defined in: [packages/angular/form-system/src/lib/mixins/extract-form-definition.mixin.ts:10](https://gitlab.com/rxap/packages/-/blob/e4552670b179901abc7ce57cc3ff490ac705b867/packages/angular/form-system/src/lib/mixins/extract-form-definition.mixin.ts#L10)

#### Parameters

##### control

`AbstractControl`

#### Returns

`FormDefinition`

#### Inherited from

[`OptionsFromMethodDirective`](OptionsFromMethodDirective.md).[`extractFormDefinition`](OptionsFromMethodDirective.md#extractformdefinition)

***

### extractFunction()

> **extractFunction**\<`Args`, `Result`\>(`defaultFunction`, `formDefinition`, `controlId`, `name`): [`UseFunctionType`](../type-aliases/UseFunctionType.md)\<`Args`, `Result`\>

Defined in: [packages/angular/form-system/src/lib/mixins/extract-function.mixin.ts:20](https://gitlab.com/rxap/packages/-/blob/e4552670b179901abc7ce57cc3ff490ac705b867/packages/angular/form-system/src/lib/mixins/extract-function.mixin.ts#L20)

#### Type Parameters

• **Args** *extends* `any`[]

• **Result**

#### Parameters

##### defaultFunction

`null` | [`UseFunctionType`](../type-aliases/UseFunctionType.md)\<`Args`, `Result`\>

##### formDefinition

`FormDefinition`

##### controlId

`string`

##### name

`string`

#### Returns

[`UseFunctionType`](../type-aliases/UseFunctionType.md)\<`Args`, `Result`\>

#### Inherited from

[`ExtractToDisplayFunctionMixin`](ExtractToDisplayFunctionMixin.md).[`extractFunction`](ExtractToDisplayFunctionMixin.md#extractfunction)

***

### extractFunctions()

> `protected` **extractFunctions**(`defaultMap`, `formDefinition`, `controlId`): `Map`\<`string`, [`UseFunctionDefinition`](../interfaces/UseFunctionDefinition.md)\<`unknown`, `any`[], [`UseFunctionConfig`](../interfaces/UseFunctionConfig.md)\<`unknown`, `any`[], `any`, `any`[]\>\>\>

Defined in: [packages/angular/form-system/src/lib/mixins/extract-functions.mixin.ts:43](https://gitlab.com/rxap/packages/-/blob/e4552670b179901abc7ce57cc3ff490ac705b867/packages/angular/form-system/src/lib/mixins/extract-functions.mixin.ts#L43)

#### Parameters

##### defaultMap

`null` | `Map`\<`string`, [`UseFunctionDefinition`](../interfaces/UseFunctionDefinition.md)\<`unknown`, `any`[], [`UseFunctionConfig`](../interfaces/UseFunctionConfig.md)\<`unknown`, `any`[], `any`, `any`[]\>\>\>

##### formDefinition

`FormDefinition`

##### controlId

`string`

#### Returns

`Map`\<`string`, [`UseFunctionDefinition`](../interfaces/UseFunctionDefinition.md)\<`unknown`, `any`[], [`UseFunctionConfig`](../interfaces/UseFunctionConfig.md)\<`unknown`, `any`[], `any`, `any`[]\>\>\>

#### Inherited from

[`ExtractToDisplayFunctionMixin`](ExtractToDisplayFunctionMixin.md).[`extractFunctions`](ExtractToDisplayFunctionMixin.md#extractfunctions)

***

### extractIsValueFunction()

> `protected` **extractIsValueFunction**(`defaultFunction`, `control`, `formDefinition`): [`UseFunctionType`](../type-aliases/UseFunctionType.md)\<\[`any`\], `boolean`\>

Defined in: [packages/angular/form-system/src/lib/mixins/extract-is-value-function.mixin.ts:38](https://gitlab.com/rxap/packages/-/blob/e4552670b179901abc7ce57cc3ff490ac705b867/packages/angular/form-system/src/lib/mixins/extract-is-value-function.mixin.ts#L38)

#### Parameters

##### defaultFunction

`null` | [`UseFunctionType`](../type-aliases/UseFunctionType.md)\<\[`any`\], `boolean`\>

##### control

`RxapFormControl` = `...`

##### formDefinition

`FormDefinition`\<`any`, `any`, `any`\> = `...`

#### Returns

[`UseFunctionType`](../type-aliases/UseFunctionType.md)\<\[`any`\], `boolean`\>

#### Inherited from

[`ExtractIsValueFunctionMixin`](ExtractIsValueFunctionMixin.md).[`extractIsValueFunction`](ExtractIsValueFunctionMixin.md#extractisvaluefunction)

***

### extractMethod()

> **extractMethod**(`formDefinition`, `controlId`, `name`): `Method`\<`any`, `any`\>

Defined in: [packages/angular/form-system/src/lib/mixins/extract-method.mixin.ts:16](https://gitlab.com/rxap/packages/-/blob/e4552670b179901abc7ce57cc3ff490ac705b867/packages/angular/form-system/src/lib/mixins/extract-method.mixin.ts#L16)

#### Parameters

##### formDefinition

`FormDefinition`

##### controlId

`string`

##### name

`string`

#### Returns

`Method`\<`any`, `any`\>

#### Inherited from

[`OptionsFromMethodDirective`](OptionsFromMethodDirective.md).[`extractMethod`](OptionsFromMethodDirective.md#extractmethod)

***

### extractMethods()

> `protected` **extractMethods**(`formDefinition`, `controlId`): `Map`\<`string`, [`UseMethodDefinition`](../interfaces/UseMethodDefinition.md)\<`unknown`, `unknown`, [`UseMethodConfig`](../interfaces/UseMethodConfig.md)\<`unknown`, `unknown`, `any`, `any`\>\>\>

Defined in: [packages/angular/form-system/src/lib/mixins/extract-methods.mixin.ts:43](https://gitlab.com/rxap/packages/-/blob/e4552670b179901abc7ce57cc3ff490ac705b867/packages/angular/form-system/src/lib/mixins/extract-methods.mixin.ts#L43)

#### Parameters

##### formDefinition

`FormDefinition`

##### controlId

`string`

#### Returns

`Map`\<`string`, [`UseMethodDefinition`](../interfaces/UseMethodDefinition.md)\<`unknown`, `unknown`, [`UseMethodConfig`](../interfaces/UseMethodConfig.md)\<`unknown`, `unknown`, `any`, `any`\>\>\>

#### Inherited from

[`OptionsFromMethodDirective`](OptionsFromMethodDirective.md).[`extractMethods`](OptionsFromMethodDirective.md#extractmethods)

***

### extractOptionsMethod()

> `protected` **extractOptionsMethod**(`control`, `formDefinition`): `Method`\<`any`, `any`\>

Defined in: [packages/angular/form-system/src/lib/mixins/extract-options-method.mixin.ts:29](https://gitlab.com/rxap/packages/-/blob/e4552670b179901abc7ce57cc3ff490ac705b867/packages/angular/form-system/src/lib/mixins/extract-options-method.mixin.ts#L29)

#### Parameters

##### control

`RxapFormControl` = `...`

##### formDefinition

`FormDefinition`\<`any`, `any`, `any`\> = `...`

#### Returns

`Method`\<`any`, `any`\>

#### Inherited from

[`OptionsFromMethodDirective`](OptionsFromMethodDirective.md).[`extractOptionsMethod`](OptionsFromMethodDirective.md#extractoptionsmethod)

***

### extractResolveMethod()

> `protected` **extractResolveMethod**(`control`, `formDefinition`): `Method`\<`any`, `any`\>

Defined in: [packages/angular/form-system/src/lib/mixins/extract-resolve-method.mixin.ts:39](https://gitlab.com/rxap/packages/-/blob/e4552670b179901abc7ce57cc3ff490ac705b867/packages/angular/form-system/src/lib/mixins/extract-resolve-method.mixin.ts#L39)

#### Parameters

##### control

`RxapFormControl` = `...`

##### formDefinition

`FormDefinition`\<`any`, `any`, `any`\> = `...`

#### Returns

`Method`\<`any`, `any`\>

#### Inherited from

[`ExtractResolveMethodMixin`](ExtractResolveMethodMixin.md).[`extractResolveMethod`](ExtractResolveMethodMixin.md#extractresolvemethod)

***

### extractToDisplayFunction()

> `protected` **extractToDisplayFunction**(`defaultFunction`, `control`, `formDefinition`): [`UseFunctionType`](../type-aliases/UseFunctionType.md)\<\[`any`\], `string`\>

Defined in: [packages/angular/form-system/src/lib/mixins/extract-to-display-function.mixin.ts:38](https://gitlab.com/rxap/packages/-/blob/e4552670b179901abc7ce57cc3ff490ac705b867/packages/angular/form-system/src/lib/mixins/extract-to-display-function.mixin.ts#L38)

#### Parameters

##### defaultFunction

`null` | [`UseFunctionType`](../type-aliases/UseFunctionType.md)\<\[`any`\], `string`\>

##### control

`RxapFormControl` = `...`

##### formDefinition

`FormDefinition`\<`any`, `any`, `any`\> = `...`

#### Returns

[`UseFunctionType`](../type-aliases/UseFunctionType.md)\<\[`any`\], `string`\>

#### Inherited from

[`ExtractToDisplayFunctionMixin`](ExtractToDisplayFunctionMixin.md).[`extractToDisplayFunction`](ExtractToDisplayFunctionMixin.md#extracttodisplayfunction)

***

### loadOptions()

> `protected` **loadOptions**(`parameters`): `Promise`\<`null` \| `ControlOptions`\>

Defined in: [packages/angular/form-system/src/lib/directives/autocomplete-options-from-method.directive.ts:201](https://gitlab.com/rxap/packages/-/blob/e4552670b179901abc7ce57cc3ff490ac705b867/packages/angular/form-system/src/lib/directives/autocomplete-options-from-method.directive.ts#L201)

#### Parameters

##### parameters

`Parameters` = `...`

#### Returns

`Promise`\<`null` \| `ControlOptions`\>

#### Inherited from

[`OptionsFromMethodDirective`](OptionsFromMethodDirective.md).[`loadOptions`](OptionsFromMethodDirective.md#loadoptions)

***

### ngAfterViewInit()

> **ngAfterViewInit**(): `Promise`\<`void`\>

Defined in: [packages/angular/form-system/src/lib/directives/autocomplete-options-from-method.directive.ts:164](https://gitlab.com/rxap/packages/-/blob/e4552670b179901abc7ce57cc3ff490ac705b867/packages/angular/form-system/src/lib/directives/autocomplete-options-from-method.directive.ts#L164)

A callback method that is invoked immediately after
Angular has completed initialization of a component's view.
It is invoked only once when the view is instantiated.

#### Returns

`Promise`\<`void`\>

#### Inherited from

[`OptionsFromMethodDirective`](OptionsFromMethodDirective.md).[`ngAfterViewInit`](OptionsFromMethodDirective.md#ngafterviewinit)

***

### ngOnChanges()

> **ngOnChanges**(`changes`): `Promise`\<`void`\>

Defined in: [packages/angular/form-system/src/lib/directives/options-from-method.directive.ts:88](https://gitlab.com/rxap/packages/-/blob/e4552670b179901abc7ce57cc3ff490ac705b867/packages/angular/form-system/src/lib/directives/options-from-method.directive.ts#L88)

A callback method that is invoked immediately after the
default change detector has checked data-bound properties
if at least one has changed, and before the view and content
children are checked.

#### Parameters

##### changes

`SimpleChanges`

The changed properties.

#### Returns

`Promise`\<`void`\>

#### Inherited from

[`OptionsFromMethodDirective`](OptionsFromMethodDirective.md).[`ngOnChanges`](OptionsFromMethodDirective.md#ngonchanges)

***

### ngOnDestroy()

> **ngOnDestroy**(): `void`

Defined in: [packages/angular/form-system/src/lib/directives/autocomplete-options-from-method.directive.ts:160](https://gitlab.com/rxap/packages/-/blob/e4552670b179901abc7ce57cc3ff490ac705b867/packages/angular/form-system/src/lib/directives/autocomplete-options-from-method.directive.ts#L160)

A callback method that performs custom clean-up, invoked immediately
before a directive, pipe, or service instance is destroyed.

#### Returns

`void`

#### Inherited from

`OnDestroy.ngOnDestroy`

***

### renderTemplate()

> `protected` **renderTemplate**(): `void`

Defined in: [packages/angular/form-system/src/lib/directives/autocomplete-options-from-method.directive.ts:218](https://gitlab.com/rxap/packages/-/blob/e4552670b179901abc7ce57cc3ff490ac705b867/packages/angular/form-system/src/lib/directives/autocomplete-options-from-method.directive.ts#L218)

#### Returns

`void`

#### Inherited from

[`OptionsFromMethodDirective`](OptionsFromMethodDirective.md).[`renderTemplate`](OptionsFromMethodDirective.md#rendertemplate)

***

### resolveValue()

> `protected` **resolveValue**(`value`, `parameters`): `Promise`\<`null` \| `ControlOptions`\>

Defined in: [packages/angular/form-system/src/lib/directives/autocomplete-options-from-method.directive.ts:226](https://gitlab.com/rxap/packages/-/blob/e4552670b179901abc7ce57cc3ff490ac705b867/packages/angular/form-system/src/lib/directives/autocomplete-options-from-method.directive.ts#L226)

#### Parameters

##### value

`Value`

##### parameters

`Parameters` = `...`

#### Returns

`Promise`\<`null` \| `ControlOptions`\>

***

### setOptions()

> `protected` **setOptions**(`options`): `void`

Defined in: [packages/angular/form-system/src/lib/directives/options-from-method.directive.ts:125](https://gitlab.com/rxap/packages/-/blob/e4552670b179901abc7ce57cc3ff490ac705b867/packages/angular/form-system/src/lib/directives/options-from-method.directive.ts#L125)

#### Parameters

##### options

`null` | `ControlOptions`

#### Returns

`void`

#### Inherited from

[`OptionsFromMethodDirective`](OptionsFromMethodDirective.md).[`setOptions`](OptionsFromMethodDirective.md#setoptions)

***

### ngTemplateContextGuard()

> `static` **ngTemplateContextGuard**(`dir`, `ctx`): `ctx is AutocompleteOptionsFromRemoteMethodTemplateContext`

Defined in: [packages/angular/form-system/src/lib/directives/autocomplete-options-from-method.directive.ts:119](https://gitlab.com/rxap/packages/-/blob/e4552670b179901abc7ce57cc3ff490ac705b867/packages/angular/form-system/src/lib/directives/autocomplete-options-from-method.directive.ts#L119)

#### Parameters

##### dir

[`OptionsFromMethodDirective`](OptionsFromMethodDirective.md)

##### ctx

`any`

#### Returns

`ctx is AutocompleteOptionsFromRemoteMethodTemplateContext`

#### Inherited from

[`OptionsFromMethodDirective`](OptionsFromMethodDirective.md).[`ngTemplateContextGuard`](OptionsFromMethodDirective.md#ngtemplatecontextguard)
